# Authentication keys

These endpoints are for managing the public keys that are used for JWT authentication.

## Submit a public key

 - [POST /member/{memberId}/keys](https://docs.token.io/products/tpp/api/reference/authentication-keys/gatewayservice.addmemberkey.md): The POST /member/{memberId}/keys endpoint submits a public key for authentication, for the specified member.

## Get public keys

 - [GET /member/{memberId}/keys](https://docs.token.io/products/tpp/api/reference/authentication-keys/gatewayservice.getmemberkeys.md): The GET /member/{memberId}/keys endpoint retrieves a list of all public keys, for the specified member.

## Get a public key

 - [GET /member/{memberId}/keys/{keyId}](https://docs.token.io/products/tpp/api/reference/authentication-keys/gatewayservice.getmemberkey.md): The GET /member/{memberId}/keys/{keyId} endpoint retrieves the details of a specific public key, for the specified member.

## Delete a public key

 - [DELETE /member/{memberId}/keys/{keyId}](https://docs.token.io/products/tpp/api/reference/authentication-keys/gatewayservice.deletememberkey.md): The DELETE /member/{memberId}/keys/{keyId} endpoint deletes an existing public key, for the specified member.

